Help:Installation (fr)/Utilisation de Composer avec MediaWiki 1.25+

From semantic-mediawiki.org
Jump to: navigation, search
Installation (fr)Help:Installation (fr)/Utilisation de Composer avec MediaWiki 1.25+
Installation
Cette page décrit l'installation faite en utilisant le support natif de Composer pour MediaWiki 1.25+
Informations complémentaires
Type d'installation : new
Méthode d'installation : Composer
Sommaire

Installation

Suivez les instructions pour une nouvelle installation de SMW.

  1. Installez Composer - suivez les instructions d'installation de Composer (en) pour ce faire.
  2. Vérifiez votre version de MediaWiki sur la page spéciale « Spécial:Version » pour vous assurer de la compatibilité. Voir aussi comment mettre à jour vers la bonne version de MediaWiki (en).
  3. Entrez la ligne de commande d'« initialisation » suivante[1][2] depuis le répertoire de base[3] de votre installation MediaWiki[4] :
    php composer.phar require mediawiki/semantic-media-wiki "~2.1" --update-no-dev
    
    ou bien si Composer est installé de façon globale
    composer require mediawiki/semantic-media-wiki "~2.1" --update-no-dev
    
    Note Note : La version déclarée dans les lignes ci-dessus est donnée seulement à titre d'exemple. Voir la page des versions sur GitHub (en) pour les dernières versions publiées. Pour les versions plus récentes, s'il existe par exemple une version appelée « SMW 2.4.1 », vous devrez remplacer "~2.1" par "~2.4" et ainsi de suite. Ne mettez jamais le numéro de version correspondant aux corrections de bogues, c'est-à-dire le troisième nombre.
  4. Lancez le script de configuration depuis le répertoire de base[3] de votre installation MediaWiki :
    php maintenance/update.php
    
  5. Ajoutez un appel vers enableSemantics() à la fin du fichier "LocalSettings.php". enableSemantics() doit contenir le nom de domaine du wiki : un wiki situé sur "exemple.org", par exemple, aura l'appel suivant :
    enableSemantics( 'exemple.org' );
    
    L'appel require_once … ne doit plus être ajouté pour Semantic MediaWiki ni même pour Validator étant donné que Composer charge les extensions de façon automatique.
  6. Ajoutez les réglages optionnels[5] à une exception près[6] dans le fichier "LocalSettings.php" suivant les besoins après l'appel enableSemantics().
  7. Voyez la page « Spécial:Version » de votre wiki pour vérifier que l'extension a bien été installée.
  8. Testez votre installation selon la marche à suivre décrite dans la page d'aide pour tester SMW.
  9. C'est fini !

Mise à jour

Suivez les instructions pour mettre à jour une installation existante de SMW.

  1. Faites une sauvegarde de votre base de données et de votre installation.
  2. Lancer le script de mise à jour depuis le répertoire de base[3] de votre installation MediaWiki[4] :
    php composer.phar update
    
    ou bien si Composer est installé de façon globale
    composer update
    
  3. Voyez la page « Spécial:Version » de votre wiki pour vérifier que l'extension a bien été mise à jour.
  4. Lancez le script de configuration depuis le répertoire de base[3] de votre installation MediaWiki :
    php maintenance/update.php
    
  5. Lancez le script de rafraichissement de la base de données depuis le répertoire de base[3] de votre installation MediaWiki[7] :
    php extensions/SemanticMediaWiki/maintenance/SMW_refreshData.php -d 50 -v
    
  6. C'est fini !

Mise à niveau

Voyez la page d'aide concernant la mise à niveau d'une version SMW 1.9+ pour MW 1.22+ (en).

Voir aussi

Références

  1. Cela est nécessaire étant donné que depuis la version MW 1.25+, MediaWiki utilise Composer pour gérer les composants et les paquets.
  2. Veuillez noter que si Git est installé, il est recommandé d'installer Composer avec le flag "--prefer-source", afin que Composer utilise Git pour télécharger le code. En d'autres termes, au lieu de faire "composer update" ou "php composer.phar update" comme noté sur cette page, vous devrier taper "composer update --prefer-source" ou "php composer.phar update --prefer-source".
  3. 3.0 3.1 3.2 3.3 3.4 Il s'agit du répertoire contenant le fichier "LocalSettings.php".
  4. 4.0 4.1 Dans le cas où vous avez installé Composer "globallement" sur votre serveur, vous devrer omettre les particules php et .phar sur la ligne de commande.
  5. Voyez la page d'aide concernant la configuration de SMW (en). Généralement seuls quelques paramètres de configuration doivent être changés si besoin est.
  6. Si vous configurez manuellement $smwgNamespaceIndex avec une autre valeur que la valeur par défaut qui est 100, vous devez le faire avant la ligne enableSemantics(). Assurez-vous que la valeur entrée est ≥ 100 et un nombre pair.
  7. Il s'agit d'une étape optionnelle qui vérifie que le stockage sémantique est valide et à jour.


Cette page de documentation concerne toutes les versions de SMW depuis la 2.0 jusqu'à la version la plus récente.
      Autres langues : en

Help:Installation/Using Composer with MediaWiki 1.25+ fr 2.0